Work at SourceForge, help us to make it a better place! We have an immediate need for a Support Technician in our San Francisco or Denver office.

Close

#87 sb crashes with right-click at .ede pop-up

closed-fixed
nobody
speedbar (14)
5
2008-03-02
2007-08-17
No

Software:
cedet-1.0pre4
GNU Emacs 22.0.990.1

Reproducible:
seems pretty reproducible

Steps to reproduce:

1. [root@localhost cedet-1.0pre4]# emacs-x &
[2] 3593
[root@localhost cedet-1.0pre4]#

2. In emacs, M-x speedbar

3. In speedbar window, right-click

4. In "Question" pop-up (with text "~/.ede Doesn't exist. Create?", right-click on No button

Result: varies

emacs crashes (emacs windows vanish) and either:

[root@localhost cedet-1.0pre4]# emacs
Fatal error (11)Segmentation fault

OR

[root@localhost cedet-1.0pre4]# emacs-x &
[2] 3661
[root@localhost cedet-1.0pre4]#
[2]+ Segmentation fault emacs-x
[root@localhost cedet-1.0pre4]#

OR

[root@localhost cedet-1.0pre4]# emacs-x &
[2] 3593
[root@localhost cedet-1.0pre4]# *** glibc detected *** emacs-x: malloc(): memory corruption: 0x0a0e3f28 ***
======= Backtrace: =========
/lib/libc.so.6[0x1696d3]
/lib/libc.so.6(__libc_malloc+0x7e)[0x16b00e]
emacs-x[0x8145fbd]
/lib/libc.so.6(__libc_malloc+0x35)[0x16afc5]
emacs-x[0x8143e18]
emacs-x[0x8144392]
emacs-x[0x8144636]
emacs-x[0x8144b93]
emacs-x[0x808982f]
emacs-x[0x808988a]
emacs-x[0x808b37c]
emacs-x[0x808b557]
emacs-x[0x816819c]
emacs-x[0x815af21]
emacs-x[0x818590a]
emacs-x[0x815a9ca]
emacs-x[0x815add1]
emacs-x[0x818590a]
emacs-x[0x815a9ca]
emacs-x[0x815add1]
emacs-x[0x8159aa8]
emacs-x[0x815b0f5]
emacs-x[0x818590a]
emacs-x[0x815a9ca]
emacs-x[0x815abc6]
emacs-x[0x815a2a2]
emacs-x[0x815a82f]
emacs-x[0x815aaa4]
emacs-x[0x815add1]
emacs-x[0x818590a]
emacs-x[0x815a9ca]
emacs-x[0x815add1]
emacs-x[0x818590a]
emacs-x[0x815a9ca]
emacs-x[0x815add1]
emacs-x[0x818590a]
emacs-x[0x815a9ca]
emacs-x[0x815abc6]
emacs-x[0x815a2a2]
emacs-x[0x81595b8]
emacs-x[0x80f8640]
emacs-x[0x80f89ef]
emacs-x[0x8089c52]
emacs-x[0x81046a5]
emacs-x[0x8106584]
emacs-x[0x8089a31]
emacs-x[0x8089d33]
emacs-x[0x81046a5]
emacs-x[0x8106584]
emacs-x[0x8089a31]
emacs-x[0x8089c0e]
emacs-x[0x808c819]
emacs-x[0x815af3a]
emacs-x[0x818590a]
emacs-x[0x815a9ca]
emacs-x[0x815add1]
emacs-x[0x818590a]
emacs-x[0x815a9ca]
emacs-x[0x815add1]
emacs-x[0x818590a]
emacs-x[0x815a9ca]
emacs-x[0x815add1]
emacs-x[0x8158002]
======= Memory map: ========
00101000-0024f000 r-xp 00000000 fd:00 16564449 /lib/libc-2.6.so
0024f000-00251000 r-xp 0014e000 fd:00 16564449 /lib/libc-2.6.so
00251000-00252000 rwxp 00150000 fd:00 16564449 /lib/libc-2.6.so
00252000-00255000 rwxp 00252000 00:00 0
00257000-00355000 r-xp 00000000 fd:00 14077950 /usr/lib/libX11.so.6.2.0
00355000-00359000 rwxp 000fe000 fd:00 14077950 /usr/lib/libX11.so.6.2.0
0035b000-00362000 r-xp 00000000 fd:00 14077957 /usr/lib/libXi.so.6.0.0
00362000-00363000 rwxp 00006000 fd:00 14077957 /usr/lib/libXi.so.6.0.0
00365000-00367000 r-xp 00000000 fd:00 14077956 /usr/lib/libXinerama.so.1.0.0
00367000-00368000 rwxp 00001000 fd:00 14077956 /usr/lib/libXinerama.so.1.0.0
00368000-00369000 r-xp 00000000 fd:00 15746061 /usr/lib/gconv/ISO8859-1.so
00369000-0036b000 rwxp 00000000 fd:00 15746061 /usr/lib/gconv/ISO8859-1.so
0036c000-00387000 r-xp 00000000 fd:00 16564446 /lib/ld-2.6.so
00387000-00388000 r-xp 0001a000 fd:00 16564446 /lib/ld-2.6.so
00388000-00389000 rwxp 0001b000 fd:00 16564446 /lib/ld-2.6.so
0038b000-0039b000 r-xp 00000000 fd:00 14078192 /usr/lib/libXpm.so.4.11.0
0039b000-0039c000 rwxp 00010000 fd:00 14078192 /usr/lib/libXpm.so.4.11.0
003de000-003f0000 r-xp 00000000 fd:00 14077973 /usr/lib/libXft.so.2.1.2
003f0000-003f1000 rwxp 00012000 fd:00 14077973 /usr/lib/libXft.so.2.1.2
00438000-00439000 r-xp 00000000 fd:00 14076631 /usr/lib/libungif.so.4.1.3
00439000-0043a000 rwxp 00000000 fd:00 14076631 /usr/lib/libungif.so.4.1.3
00454000-00469000 r-xp 00000000 fd:00 16564457 /lib/libtinfo.so.5.6
00469000-0046c000 rwxp 00014000 fd:00 16564457 /lib/libtinfo.so.5.6
00473000-00492000 r-xp 00000000 fd:00 16564647 /lib/libncurses.so.5.6
00492000-00493000 rwxp 0001f000 fd:00 16564647 /lib/libncurses.so.5.6
006f9000-00703000 r-xp 00000000 fd:00 16564545 /lib/libnss_files-2.6.so
00703000-00704000 r-xp 00009000 fd:00 16564545 /lib/libnss_files-2.6.so
00704000-00705000 rwxp 0000a000 fd:00 16564545 /lib/libnss_files-2.6.so
00762000-00768000 r-xp 00000000 fd:00 14802034 /usr/lib/gtk-2.0/2.10.0/loaders/libpixbufloader-xpm.so
00768000-00769000 rwxp 00005000 fd:00 14802034 /usr/lib/gtk-2.0/2.10.0/loaders/libpixbufloader-xpm.so
008f3000-008f4000 r-xp 008f3000 00:00 0 [vdso]
00caa000-00cc5000 r-xp 00000000 fd:00 14802605 /usr/lib/gtk-2.0/2.10.0/engines/libclearlooks.so
00cc5000-00cc6000 rwxp 0001b000 fd:00 14802605 /usr/lib/gtk-2.0/2.10.0/engines/libclearlooks.so
00d3d000-00d64000 r-xp 00000000 fd:00 16564463 /lib/libm-2.6.so
00d64000-00d65000 r-xp 00026000 fd:00 16564463 /lib/libm-2.6.so
00d65000-00d66000 rwxp 00027000 fd:00 16564463 /lib/libm-2.6.so
00d68000-00d6b000 r-xp 00000000 fd:00 16564450 /lib/libdl-2.6.so
00d6b000-00d6c0

Discussion

  • Eric M. Ludlam
    Eric M. Ludlam
    2008-03-02

    Logged In: YES
    user_id=88537
    Originator: NO

    This was fixed in ede-simple.el with revision 1.3:

    revision 1.3
    date: 2007/06/21 18:59:07; author: zappo; state: Exp; lines: +6 -7
    (ede-simple-projectfile-for-dir): Don't ask to create a dir.
    (ede-commit-project::ede-simple-project): Ask to create the storage
    directory.

    The basic idea: only ask after creating a project, not before.

     
  • Eric M. Ludlam
    Eric M. Ludlam
    2008-03-02

    • status: open --> closed-fixed